extern crate curators;

use anyhow::{Context, Result};
use curators::database::*;
use curators::models::Image;
use std::path::Path;

fn main() {
    let results = load_images();
    println!("Displaying {} images", results.len());
    for img in results {
        println!("{:?} ", img);
    }
    let p = Path::new(r"./BlueSquare.jpg").canonicalize().unwrap();
    println!("{:?}", Image::try_from(&p));
    let p = Path::new(r"./Canon_40D.jpg").canonicalize().unwrap();
    println!("{:?}", Image::try_from(&p));
}
